%define	name	php-smarty
%define	version 2.6.6
%define	release	3mdk

# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	Smarty - the compiling PHP template engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/Other
URL:		http://smarty.php.net/
Source0:	http://smarty.php.net/distributions/Smarty-%{version}.tar.bz2
Source1:	http://smarty.php.net/distributions/manual/en/Smarty-2.6.5-docs.tar.bz2
# XXX - some bug in the php-pear find-requires stuff
# makes a kolab package require this provides below
Provides:	pear(Smarty.class.php)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Smarty is a template engine for PHP.  More specifically, it 
facilitates a manageable way to separate application logic and
content from its presentation.  This is best described in a
situation where the application programmer and the template 
designer play different roles, or in most cases are not the same
person.  For example, let's say you are creating a web page that
is displaying a newspaper article.  The article headline, tagline,
author and body are content elements, they contain no information
about how they will be presented.  They are passed into Smarty by
the application, then the template designer edits the templates
and uses a combination of HTML tags and template tags to format 
the presentation of these elements (HTML tables, background
colors, font sizes, style sheets, etc.) One day the programmer
needs to change the way the article content is retrieved (a change
in application logic.)  This change does not affect the template
designer, the content will still arrive in the template exactly
the same.  Likewise, if the template designer wants to completely
redesign the templates, this requires no changes to the
application logic.  Therefore, the programmer can make changes to
the application logic without the need to restructure templates,
and the template designer can make changes to templates without
breaking application logic. 

%package	manual
Summary:	The HTML manual for Smarty
Group:		Development/Other

%description	manual
The HTML manual for Smarty

%prep

%setup -q -n Smarty-%{version} -a1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/smarty
install -d %{buildroot}/var/www/icons

cp -aRf libs/* %{buildroot}%{_datadir}/smarty/
install -m0644 misc/smarty_icon.gif %{buildroot}/var/www/icons/smarty.gif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING.lib ChangeLog FAQ INSTALL NEWS README RELEASE_NOTES TODO
%{_datadir}/smarty
/var/www/icons/smarty.gif

%files manual
%defattr(-,root,root)
%doc manual/*

%changelog
* Thu Aug 11 2005 Andreas Hasenack <andreas@mandriva.com> 2.6.6-3mdk
- added fake provides for pear(Smarty.class.php)

* Fri May 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.6-2mdk
- relocate to %%{_datadir}

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.6-1mdk
- initial mandrake package
